LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 07-18-2005, 09:55 PM   #1
ghrellin
Member
 
Registered: Dec 2004
Location: USA
Distribution: Gentoo Linux
Posts: 41

Rep: Reputation: 15
Compiling glibc-2.3.5 or glibc 2.3.5-r1 on Gentoo fails


When I do
Code:
emerge glibc
, I get the following error:

Code:
make[2]: *** [/var/tmp/portage/glibc-2.3.5-r1/work/build-default-i686-pc-linux-gnu-linuxthreads/libio/tst-atime.out] Error 1
make[2]: Leaving directory `/var/tmp/portage/glibc-2.3.5-r1/work/glibc-2.3.5/libio'
make[1]: *** [libio/tests] Error 2
make[1]: Leaving directory `/var/tmp/portage/glibc-2.3.5-r1/work/glibc-2.3.5'
make: *** [check] Error 2

!!! ERROR: sys-libs/glibc-2.3.5-r1 failed.
!!! Function toolchain-glibc_src_test, Line 246, Exitcode 2
!!! linuxthreads glibc did not pass make check
!!! If you need support, post the topmost build error, NOT this status message.
It gives the same message when I try to emerge glibc-2.3.5.
 
Old 07-19-2005, 12:28 AM   #2
syg00
LQ Veteran
 
Registered: Aug 2003
Location: Australia
Distribution: Lots ...
Posts: 12,043

Rep: Reputation: 970Reputation: 970Reputation: 970Reputation: 970Reputation: 970Reputation: 970Reputation: 970Reputation: 970
You running hardened ????
Check bugzilla.
 
Old 07-19-2005, 01:01 AM   #3
ghrellin
Member
 
Registered: Dec 2004
Location: USA
Distribution: Gentoo Linux
Posts: 41

Original Poster
Rep: Reputation: 15
Nope

Nope, not running hardened. Just reg'lar old Gentoo.
EDIT: This exact bug is on bugzilla, and they tell me it's fixed in 2.3.5, though not in 2.3.5-r1. Checking now...
EDIT: glibc 2.3.5 compiles perfectly fine. All systems go, and thanks.

Last edited by ghrellin; 07-19-2005 at 02:30 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
problem installing glibc-2.3.2-4.80.i686, glibc-common-2.3.2-4.80.8.i386.rpm martianpackets Red Hat 8 05-01-2009 03:22 PM
Replacing glibc using linuxthreads for glibc using nptl (native positx thread library CestusGW Linux From Scratch 4 01-20-2005 07:26 AM
ncsd, glibc, and glibc-common conflicts during LAMP install beaker911 Linux - Software 0 12-30-2004 02:31 PM
glibc 2.3.2 => glibc 2.3.3 causes bash & syslog issues natetheros Red Hat 1 09-27-2004 01:35 AM
glibc configure: fails sanity check Mr. Eek Linux From Scratch 4 05-19-2003 01:24 AM


All times are GMT -5. The time now is 10:31 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration